The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cpanel More problem :(

Discussion in 'General Discussion' started by hakbak, Apr 30, 2009.

  1. hakbak

    hakbak Registered

    Joined:
    Sep 24, 2008
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Hi,
    my english is bad

    I have more problem in my server :

    1- I have problem in Configure Suexec and PHP

    [​IMG]


    I try install and (Apache Update) More than once

    do you have solve this problem

    There problem in SSH when to update apache and php
    [​IMG]
    [​IMG]


    I use suphp and apache last version and php

    Code:
    root@server [~]# php -v
    PHP 5.2.9 (cli) (built: Apr 28 2009 04:21:08)
    Copyright (c) 1997-2009 The PHP Group
    Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
        with eAccelerator v0.9.5.3, Copyright (c) 2004-2006 eAccelerator, by eAccelerator
        with the ionCube PHP Loader v3.1.34, Copyright (c) 2002-2009, by ionCube Ltd., and
        with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies
        with Suhosin v0.9.27, Copyright (c) 2007, by SektionEins GmbH
        with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies
    and I use APC


    Code:
    root@server [~]# httpd -l
    Compiled in modules:
      core.c
      mod_authn_file.c
      mod_authn_default.c
      mod_authz_host.c
      mod_authz_groupfile.c
      mod_authz_user.c
      mod_authz_default.c
      mod_auth_basic.c
      mod_cache.c
      mod_echo.c
      mod_include.c
      mod_filter.c
      mod_deflate.c
      mod_log_config.c
      mod_logio.c
      mod_env.c
      mod_expires.c
      mod_headers.c
      mod_unique_id.c
      mod_setenvif.c
      mod_ssl.c
      prefork.c
      http_core.c
      mod_mime.c
      mod_status.c
      mod_autoindex.c
      mod_asis.c
      mod_info.c
      mod_suexec.c
      mod_cgi.c
      mod_negotiation.c
      mod_dir.c
      mod_imagemap.c
      mod_actions.c
      mod_speling.c
      mod_userdir.c
      mod_alias.c
      mod_rewrite.c
      mod_so.c
    

    Code:
    root@server [~]# httpd -v
    Server version: Apache/2.2.11 (Unix)
    Server built:   Apr 28 2009 04:16:28
    Cpanel::Easy::Apache v3.2.0 rev4672
    and I changes the permissions more files in /bin and /etc ...


    2- other problem I try to install joomla in my server I see this error :
    500 Internal Server Error

    I try remove all security in my server and I can't solve this problem


    Please Help me to solve this problem

    I use CSF AND mod_evasive


    If you want any information to help me plz tell me


    Thanks



    Hassan
     
  2. ChrisRHS

    ChrisRHS Well-Known Member

    Joined:
    Jul 12, 2006
    Messages:
    292
    Likes Received:
    5
    Trophy Points:
    18
    Have you tried to force cpanel to update?

    /scripts/upcp --force

    Once done, try rebuilding apache again.

    The problems with Joomla are no doubt tied into the use of suphp, if you do not have permissions correct, it will throw a 500 error at you. From what I recall, max permissions are 755. Take a look at this thread, as it has some useful information in it regarding suphp.
     
  3. hakbak

    hakbak Registered

    Joined:
    Sep 24, 2008
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    hhhhhh

    I try update yum and cpanel after that try update apache not working

    PHP:
    /scripts/easyapache

    not working


    how to solve ?

    hAssn
     
  4. cyberlinuxx

    cyberlinuxx Member

    Joined:
    Apr 25, 2009
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    what is the error you are getting?
     
  5. hakbak

    hakbak Registered

    Joined:
    Sep 24, 2008
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    when try update apache get error
     
  6. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    I think cyberlinuxx was asking what specific error are you receiving?

    You can review the EasyApache Build Logs in /usr/local/cpanel/logs/easy/apache/
     
  7. PlatinumServerM

    PlatinumServerM Well-Known Member
    PartnerNOC

    Joined:
    Jul 10, 2005
    Messages:
    397
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    New Jersey, USA
    cPanel Access Level:
    Root Administrator
  8. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    From what I can tell from the putty screen shots, you are attempting to building the PHP bindings for PostgreSQL and encountering an error. Please double check that PostgreSQL and its development libraries are installed properly.
     
Loading...

Share This Page